﻿@model Detech_Conference.Class.Details

<div id="MachineInformation" class="col-sm-9 col-sm-offset-3 col-lg-10 col-lg-offset-2 main">

    <div id="information" class="panel panel-container">
        <div class="row">
            <div class="col-xs-6 col-md-4 col-lg-4 no-padding">
                <div class="panel panel-teal panel-widget border-right">
                    <div class="row no-padding">
                        <div class="text-muted">Product Name</div>
                        <h4 class="timeline-title">@Model.ProductName</h4>

                    </div>
                </div>
            </div>
            <div class="col-xs-6 col-md-4 col-lg-4 no-padding">
                <div class="panel panel-teal panel-widget border-right">
                    <div class="row no-padding">
                        <div class="text-muted">Status</div>
                        @{
                            if (Model.MachineState == "Stop")
                            {
                                <h4 class="timeline-title" style="text-transform:uppercase;"><font color="#ff0000" size="4" style="font-weight:bold">@Model.MachineState</font></h4>
                            }
                            if (Model.MachineState == "Start")
                            {
                                <h4 class="timeline-title" style="text-transform:uppercase;"><font color="#009933" size="4" style="font-weight:bold">@Model.MachineState</font></h4>
                            }
                            if (Model.MachineState == "Alarm")
                            {
                                <h4 class="timeline-title" style="text-transform:uppercase;"><font color="#b3b3b3" size="4" style="font-weight:bold">@Model.MachineState</font></h4>
                            }
                            if (Model.MachineState == "Maintenance")
                            {
                                <h4 class="timeline-title" style="text-transform:uppercase;"><font color="#ff9900" size="4" style="font-weight:bold">@Model.MachineState</font></h4>
                            }
                        }

                    </div>
                </div>
            </div>
            <div class="col-xs-6 col-md-4 col-lg-4 no-padding">
                <div class="panel panel-teal panel-widget border-right">
                    <div class="row no-padding">
                        <div class="text-muted">Operation Since</div>
                        <h4 class="timeline-title">@Model.MachineStateTime </h4>

                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-xs-6 col-md-3">
            <div class="panel panel-default">
                <div class="panel-body easypiechart-panel">
                    <h4>OEE</h4>
                    <div class="easypiechart" id="easypiechart-blue" data-percent="@Model.oee"><span class="percent">@Model.oee%</span></div>
                </div>
            </div>
        </div>
        <div class="col-xs-6 col-md-3">
            <div class="panel panel-default">
                <div class="panel-body easypiechart-panel">
                    <h4>Availability</h4>
                    <div class="easypiechart" id="easypiechart-teal" data-percent="@Model.availability"><span class="percent">@Model.availability%</span></div>
                </div>
            </div>
        </div>
        <div class="col-xs-6 col-md-3">
            <div class="panel panel-default">
                <div class="panel-body easypiechart-panel">
                    <h4>Performance</h4>
                    <div class="easypiechart" id="easypiechart-orange" data-percent="@Model.performance"><span class="percent">@Model.performance%</span></div>
                </div>
            </div>
        </div>
        <div class="col-xs-6 col-md-3">
            <div class="panel panel-default">
                <div class="panel-body easypiechart-panel">
                    <h4>Quality</h4>
                    <div class="easypiechart" id="easypiechart-red" data-percent="@Model.quality"><span class="percent">@Model.quality%</span></div>
                </div>
            </div>
        </div>
    </div>

    <div class="panel-body">
        <div class="col-md-12 no-padding">
            <div class="row progress-labels">
                <div class="col-sm-6">Actual Quantity<br />@(Model.GoodParts + Model.BadParts)</div>
                <div class="col-sm-6" style="text-align: right;">Target Quantity <br /> @Model.PlanTotalProduced</div>
            </div>
            <div class="progress">
                <div data-percentage="0%" style="width: @Model.quantityPercentage%;" class="progress-bar progress-bar-teal" role="progressbar" aria-valuemin="0" aria-valuemax="100"></div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-6">
            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="col-xs-6 col-md-12 col-lg-12 no-padding">
                        <div class="panel panel-red panel-widget ">
                            <div class="row no-padding">
                                <div class="text-muted">Operating Time (in sec)</div>
                                <div class="large">@Model.RunTime</div>
                            </div>
                        </div>
                    </div>
                    <div class="col-xs-6 col-md-6 col-lg-6 no-padding">
                        <div class="panel panel-teal panel-widget border-right">
                            <div class="row no-padding">
                                <div class="text-muted">Plan Downtime (in sec)</div>
                                <div class="large">@(Math.Round((Model.MaintenanceTime), 2))</div>
                            </div>
                        </div>
                    </div>
                    <div class="col-xs-6 col-md-6 col-lg-6 no-padding">
                        <div class="panel panel-blue panel-widget ">
                            <div class="row no-padding">
                                <div class="text-muted">Unplan Downtime (in sec)</div>
                                <div class="large">@(Math.Round((Model.StopTime + Model.AlarmTime), 2))</div>
                            </div>
                        </div>
                    </div>
                    <div class="col-xs-6 col-md-6 col-lg-6 no-padding">
                        <div class="panel panel-orange panel-widget border-right">
                            <div class="row no-padding">
                                <div class="text-muted">Rejection Units</div>
                                <div class="large">@Model.BadParts</div>
                            </div>
                        </div>
                    </div>
                    <div class="col-xs-6 col-md-6 col-lg-6 no-padding">
                        <div class="panel panel-red panel-widget">
                            <div class="row no-padding">
                                <div class="text-muted">Pass Units</div>
                                <div class="large">@Model.GoodParts</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <div class="panel panel-default">
                <div class="panel-heading">
                    Temperature Overview
                </div>
                <div class="panel-body">
                    <div class="canvas-wrapper">
                        <canvas class="main-chart" id="line-chart" height="200" width="600"></canvas>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>	<!--/.main-->

<script src="~/Content/js/jquery-1.11.1.min.js"></script>
<script src="~/Content/js/bootstrap.min.js"></script>
<script src="~/Content/js/chart.min.js"></script>
<script src="~/Content/js/chart-data.js"></script>
<script src="~/Content/js/easypiechart.js"></script>
<script src="~/Content/js/easypiechart-data.js"></script>
<script src="~/Content/js/bootstrap-datepicker.js"></script>
<script src="~/Content/js/custom.js"></script>


<script>

    //limit of list 4 data in a graph
        var jsonObj = @Html.Raw(Json.Encode(Model.temperatureValue));
        var listTime = new Array();
        var valueTemperature = new Array();


        for (var key in jsonObj) {
            var completedDateText = jsonObj[key]["time_record"];
            var completedDate = new Date(parseInt(completedDateText.replace("/Date(", "").replace(")/")));
            var d = new Date(completedDate);
            listTime.push(d.toLocaleTimeString().replace("AM", "").replace("PM", ""));
            valueTemperature.push(jsonObj[key]["value"]);
            
    }
    listTime.reverse();
    valueTemperature.reverse();
    console.log(valueTemperature);

        var lineTemperature = {
            labels: listTime,
            datasets: [
                {
                    label: "Temperature Overview",
                    fillColor: "rgba(48, 164, 255, 0.2)",
                    strokeColor: "rgba(48, 164, 255, 1)",
                    pointColor: "rgba(48, 164, 255, 1)",
                    pointStrokeColor: "#fff",
                    pointHighlightFill: "#fff",
                    pointHighlightStroke: "rgba(48, 164, 255, 1)",
                    data: valueTemperature

                }

            ]

        }
            var chart1 = document.getElementById("line-chart").getContext("2d");
            window.myLine = new Chart(chart1).Line(lineTemperature, {
                responsive: true,
                scaleLineColor: "rgba(0,0,0,.2)",
                scaleGridLineColor: "rgba(0,0,0,.05)",
                scaleFontColor: "#c5c7cc",
                scaleOverride: true,
                scaleSteps: 10,
                scaleStepWidth: 0.5,
                scaleStartValue: 20
            });
</script>